%define	name	pybackpack
%define	version	0.5.4
%define	release	%mkrel 4


Summary: 	A GTK+ tool written in Python to backup files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	GPLv2
Group: 		Archiving/Backup
URL: 		http://andrewprice.me.uk/projects/pybackpack/
Source0:        %{name}-%{version}.tar.bz2
Patch0:		pybackpack-0.5.4-glade-show-hidden.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires: 	pygtk2.0 >= 2.6.0
Requires: 	gnome-python-nautilus-burn
Requires: 	rdiff-backup >= 1.0
BuildArch:      noarch

%description
User oriented backup and restore application

%prep
%setup -q
%patch0 -p1
# desktop file is looking for the wrong icon
sed -i 's/file-roller.png/%{name}/g' data/%{name}.desktop

%build
python setup.py build
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

# desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor="" \
  			--add-category="X-MandrivaLinux-System" \
  			--add-category="GTK" \
  			--add-category="Core" \
  			--remove-category="Application" \
  			--remove-category="Settings" \
  			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
				$RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
convert -geometry 48x48 %{name}/pybackpack_logo.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 %{name}/pybackpack_logo.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 %{name}/pybackpack_logo.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
/*

%changelog
* Wed Aug 14 2013 billybot <billybot> 0.5.4-4pclos2013
- update

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.5.4-3pclos2010
- rebuild for python 2.6.6


